{% extends "base.html" %}
{% block content %}
<div class="container">
	{% csrf_token %}
  <script>
      function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = cookies[i].trim();
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
  
  </script>
	<div class="row">
		<div class="col-md-offset-2 col-md-8 col-lg-offset-3 col-lg-12">
    	   
         <form method="post" id="submit_form" action="">
            {% csrf_token %}
                 <label for="twitter_account" class="text-info">Twitter account:</label>
                  <div class="input-group mb-3">

                        <input type="text" name="twitter_account" value="{{user.profile.twitter_account}}" id="twitter_account" class="form-control" disabled placeholder="example: https://twitter.com/StunningPosts"> 
                  <div class="input-group-prepend">
                    <a href="{% url 'reset_twitter' %}" class="btn btn-outline-secondary">Change</a>
                  </div>
                  
                </div>
                
               

                <div class="form-group">
                    <label for="eth_wallet" class="text-info">ETH wallet:</label>
                    <input type="text" name="eth_wallet" value="{{user.profile.eth_wallet}}" id="eth_wallet" class="form-control">
                    <div class="form-error error-eth_wallet"></div>
                </div>
                
                <div id="login-link" class="text-right">
                    <button type="submit" id="submit" class="btn btn-primary">Submit</button>
                </div>
        </form>
            
           
           
                   
						

    	 </div>
		</div>
	</div>
</div>

{% endblock %}
